Subject: Re: [PATCH v2 net-next 4/7] ipv6: Plumb support for nexthop object in a fib6_info

From: David Ahern <[email-masked]>
Date: Mon, 3 Jun 2019 17:18:11 -0600

On 6/3/19 5:05 PM, Wei Wang wrote:
> On Mon, Jun 3, 2019 at 3:35 PM David Ahern <[email-masked]> wrote:
>>
>> On 6/3/19 3:58 PM, Wei Wang wrote:
>>> Hmm... I am still a bit concerned with the ip6_create_rt_rcu() call.
>>> If we have a blackholed nexthop, the lookup code here always tries to
>>> create an rt cache entry for every lookup.
>>> Maybe we could reuse the pcpu cache logic for this? So we only create
>>> new dst cache on the CPU if there is no cache created before.
>>
>> I'll take a look.
>>

BTW, I am only updating ip6_pol_route to use pcpu routes for blackhole
nexthops.

ip6_pol_route_lookup will continue as is. That function does not use
pcpu routes and will stay as is.